Upstream information

CVE-2017-9098 at MITRE

Description

ImageMagick before 7.0.5-2 and GraphicsMagick before 1.3.24 use uninitialized memory in the RLE decoder, allowing an attacker to leak sensitive information from process memory space, as demonstrated by remote attacks against ImageMagick code in a long-running server process that converts image data on behalf of multiple users. This is caused by a missing initialization step in the ReadRLEImage function in coders/rle.c.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.96 4.30
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact None None

This issue is currently rated as having moderate severity.

SUSE Bugzilla entry: 1040025 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-917
SUSE Linux Enterprise Server 11 SP4
  • ImageMagick >= 6.4.3.6-7.77.1
  • libMagickCore1 >= 6.4.3.6-7.77.1
  • libMagickCore1-32bit >= 6.4.3.6-7.77.1
Patchnames:
slessp4-ImageMagick-13152
SUSE Linux Enterprise Server 12 SP2
  • ImageMagick >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-917
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • ImageMagick >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-70.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-70.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-917
SUSE Linux Enterprise Software Development Kit 11 SP4
  • GraphicsMagick >= 1.2.5-4.77.1
  • ImageMagick >= 6.4.3.6-7.77.1
  • ImageMagick-devel >= 6.4.3.6-7.77.1
  • libGraphicsMagick2 >= 1.2.5-4.77.1
  • libMagick++-devel >= 6.4.3.6-7.77.1
  • libMagick++1 >= 6.4.3.6-7.77.1
  • libMagickWand1 >= 6.4.3.6-7.77.1
  • libMagickWand1-32bit >= 6.4.3.6-7.77.1
  • perl-GraphicsMagick >= 1.2.5-4.77.1
  • perl-PerlMagick >= 6.4.3.6-7.77.1
Patchnames:
sdksp4-GraphicsMagick-13153
sdksp4-ImageMagick-13152
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-70.1
  • ImageMagick-devel >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagick++-devel >= 6.8.8.1-70.1
  • perl-PerlMagick >= 6.8.8.1-70.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-917
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-70.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-70.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-70.1
Patchnames:
SUSE-SLE-WE-12-SP2-2017-917
SUSE Studio Onsite 1.3
  • GraphicsMagick >= 1.2.5-4.77.1
  • libGraphicsMagick2 >= 1.2.5-4.77.1
Patchnames:
slestso13-GraphicsMagick-13153
openSUSE Leap 42.2
  • ImageMagick >= 6.8.8.1-30.3.1
  • ImageMagick-debuginfo >= 6.8.8.1-30.3.1
  • ImageMagick-debugsource >= 6.8.8.1-30.3.1
  • ImageMagick-devel >= 6.8.8.1-30.3.1
  • ImageMagick-devel-32bit >= 6.8.8.1-30.3.1
  • ImageMagick-doc >= 6.8.8.1-30.3.1
  • ImageMagick-extra >= 6.8.8.1-30.3.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-30.3.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.3.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-30.3.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-30.3.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-30.3.1
  • libMagick++-devel >= 6.8.8.1-30.3.1
  • libMagick++-devel-32bit >= 6.8.8.1-30.3.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.3.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-30.3.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-30.3.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-30.3.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.3.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-30.3.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-30.3.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-30.3.1
  • perl-PerlMagick >= 6.8.8.1-30.3.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-30.3.1
Patchnames:
openSUSE-2017-686